petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPartitioningApply

Gets a partitioning for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningApply(MatPartitioning matp,IS *partitioning)

Collective on Mat

### Input Parameters

matp -the matrix partitioning object

### Output Parameters

partitioning -the partitioning. For each local node this tells the processor number that that node is assigned to.

### Options Database Keys

To specify the partitioning through the options database, use one of the following

       -mat_partitioning_type parmetis, -mat_partitioning current

To see the partitioning result

       -mat_partitioning_view

The user can define additional partitionings; see MatPartitioningRegister().

### Keywords

matrix, get, partitioning

### See Also

MatPartitioningRegister(), MatPartitioningCreate(),
MatPartitioningDestroy(), MatPartitioningSetAdjacency(), ISPartitioningToNumbering(), ISPartitioningCount()

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html

### Implementations

MatPartitioningApply_Chaco in src/mat/partition/impls/chaco/chaco.c
MatPartitioningApply_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningApply_Party in src/mat/partition/impls/party/party.c
MatPartitioningApply_Parmetis_Private in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningApply_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningApply_PTScotch_Private in src/mat/partition/impls/scotch/scotch.c
MatPartitioningApply_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages